import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { PresentationMobileBanner } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2024-07-12 15:38
 */
interface PresentationMobileBannerCU extends ConditionUtil<PresentationMobileBannerCU>{
    ID:FieldUtil<PresentationMobileBannerCU>;
    TEXT:FieldUtil<PresentationMobileBannerCU>;
    SORT:FieldUtil<PresentationMobileBannerCU>;
    URL:FieldUtil<PresentationMobileBannerCU>;
    POSTER:FieldUtil<PresentationMobileBannerCU>;
    CREATE_TIME:FieldUtil<PresentationMobileBannerCU>;
    UPDATE_TIME:FieldUtil<PresentationMobileBannerCU>;
}

class PresentationMobileBannerCUImpl extends ConditionUtilImpl<PresentationMobileBannerCUImpl> implements PresentationMobileBannerCU{ 
    newInstance(): PresentationMobileBannerCUImpl {
        return new PresentationMobileBannerCUImpl();
    } 
    get ID(): FieldUtil<PresentationMobileBannerCU>{  
        return new FieldUtil('id','id','', this);
    }
    get TEXT(): FieldUtil<PresentationMobileBannerCU>{  
        return new FieldUtil('text','text','', this);
    }
    get SORT(): FieldUtil<PresentationMobileBannerCU>{  
        return new FieldUtil('sort','sort','', this);
    }
    get URL(): FieldUtil<PresentationMobileBannerCU>{  
        return new FieldUtil('url','url','', this);
    }
    get POSTER(): FieldUtil<PresentationMobileBannerCU>{  
        return new FieldUtil('poster','poster','', this);
    }
    get CREATE_TIME(): FieldUtil<PresentationMobileBannerCU>{  
        return new FieldUtil('create_time','createTime','', this);
    }
    get UPDATE_TIME(): FieldUtil<PresentationMobileBannerCU>{  
        return new FieldUtil('update_time','updateTime','', this);
    }
}

@Singleton 
class PresentationMobileBannerMU extends TableUtilImpl<PresentationMobileBannerCU,PresentationMobileBanner>{ 
    tableName  = 'presentation_mobile_banner';
    tableFields  = ['id','text','sort','url','poster','create_time','update_time'];
    modelFields  = ['id','text','sort','url','poster','createTime','updateTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): PresentationMobileBannerCU {
        return new PresentationMobileBannerCUImpl();
    }   

    static get ID(): FieldUtil<PresentationMobileBannerCU>{ 
        return new FieldUtil('id','id','', new PresentationMobileBannerCUImpl());
    }
    static get TEXT(): FieldUtil<PresentationMobileBannerCU>{ 
        return new FieldUtil('text','text','', new PresentationMobileBannerCUImpl());
    }
    static get SORT(): FieldUtil<PresentationMobileBannerCU>{ 
        return new FieldUtil('sort','sort','', new PresentationMobileBannerCUImpl());
    }
    static get URL(): FieldUtil<PresentationMobileBannerCU>{ 
        return new FieldUtil('url','url','', new PresentationMobileBannerCUImpl());
    }
    static get POSTER(): FieldUtil<PresentationMobileBannerCU>{ 
        return new FieldUtil('poster','poster','', new PresentationMobileBannerCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<PresentationMobileBannerCU>{ 
        return new FieldUtil('create_time','createTime','', new PresentationMobileBannerCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<PresentationMobileBannerCU>{ 
        return new FieldUtil('update_time','updateTime','', new PresentationMobileBannerCUImpl());
    }

    get ID(): FieldUtil<PresentationMobileBannerCU>{ 
        return PresentationMobileBannerMU.ID;
    }
    get TEXT(): FieldUtil<PresentationMobileBannerCU>{ 
        return PresentationMobileBannerMU.TEXT;
    }
    get SORT(): FieldUtil<PresentationMobileBannerCU>{ 
        return PresentationMobileBannerMU.SORT;
    }
    get URL(): FieldUtil<PresentationMobileBannerCU>{ 
        return PresentationMobileBannerMU.URL;
    }
    get POSTER(): FieldUtil<PresentationMobileBannerCU>{ 
        return PresentationMobileBannerMU.POSTER;
    }
    get CREATE_TIME(): FieldUtil<PresentationMobileBannerCU>{ 
        return PresentationMobileBannerMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<PresentationMobileBannerCU>{ 
        return PresentationMobileBannerMU.UPDATE_TIME;
    }
}
export {PresentationMobileBannerMU, PresentationMobileBannerCU}
